操作系统 - Amazon ParallelCluster
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅 中国的 Amazon Web Services 服务入门 (PDF)

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

操作系统

Amazon ParallelCluster 支持亚马逊 Linux 2、CentOS 7、Ubuntu 22.04、Ubuntu 2004、红帽企业 Linux 8 (RHEL8)、Rocky 8、红帽企业 Linux 9 (RHEL9)、Rocky 9。 Amazon ParallelCluster 为特定操作系统提供了预构建的 AMI,有关提供的 AMI 的更多详细信息, Amazon ParallelCluster 请参阅。Image 部分

操作系统注意事项

Ubuntu 22.04

Ubuntu 2204 需要对 ssh 使用更安全的密钥,并且默认情况下不支持 RSA 密钥。请生成 ed25519 密钥并使用该密钥进行集群创建。

Ubuntu 2204 无法更新到最新内核,因为该内核没有 Fsx 客户端。

RHEL 8

RedHat 从版本 3.6.0 开始添加企业 Linux 8.7 (rhel8)。 Amazon ParallelCluster 如果您将集群配置为使用 rhel8,则任何实例类型的按需成本都高于将集群配置为使用其他支持的操作系统时的按需成本。

有关定价的更多信息,请参阅按需定价Amazon EC2 上如何提供和定价 Red Hat Enterprise Linux?

Rocky 8

Amazon ParallelCluster 3.8.0 支持 Rocky Linux 8,但预先构建的 Rocky Linux 8 AMI(适用于 x86 和 ARM 架构)不可用。 Amazon ParallelCluster 3.8.0 支持使用该属性使用自定义 AMI 使用 Rocky Linux 8 创建集群。CustomAmi有关构建自定义 AMI 的更多信息,请参阅。Amazon ParallelCluster AMI 自定义

要从基本 Rocky Linux 8 AMI 构建自定义 AMI,你可以考虑订阅 Marketplac Amazon e 上提供的 Rocky Linux 8 AM I。请务必查看 Marketpl Amazon ace 上的 Rocky Linux 8 AMI 的定价和订阅费用。或者,你也可以使用官方的 Rocky Linux 8 AM I 作为你的基础 AMI。

Centos7

Gdrcopy 已将 Centos7 从其操作系统支持列表中删除。这意味着 gdrcopy 2.3.1 是支持该操作系统的最新版本。你必须锁定 Centos7 的 NVIDIA 和 gdrcopy 版本,因为最新的 NVIDIA 开源驱动程序版本(即 535.129.03+)与此版本的 gdrcopy 不兼容。从 ParallelCluster 3.8.0 起,我们的官方 Centos7 AMI 将与 gdrcopy 2.3.1 和 NVIDIA 驱动程序 535.129.03 一起发布。

Rocky9

Amazon ParallelCluster 3.9.0 支持 Rocky Linux 9,但预先构建的 Rocky Linux 9 AMI(适用于 x86 和 ARM 架构)不可用。 Amazon ParallelCluster 3.9.0 支持使用该属性使用自定义 AMI 使用 Rocky Linux 9 创建集群。CustomAmi有关构建自定义 AMI 的更多信息,请参阅 Amazon ParallelCluster AMI 自定义。要从基本 Rocky Linux 9 AMI 构建自定义 AMI,你也可以使用官方的 Rocky Linux 9 AM I 作为基础 AMI。如果基本 AMI 没有最新的内核,则自定义 Rocky Linux 9 AMI 版本可能会失败。要在构建 AMI 之前升级内核,请执行以下操作: